# class Bundler::PermissionError

### Public Class Methods

new(path, permission_type = :write) click to toggle source

    # File lib/bundler/errors.rb, line 63
    def initialize(path, permission_type = :write)
      @path = path
      @permission_type = permission_type
    end

### Public Instance Methods

action() click to toggle source

    # File lib/bundler/errors.rb, line 68
    def action
      case @permission_type
      when :read then "read from"
      when :write then "write to"
      when :executable, :exec then "execute"
      else @permission_type.to_s
      end
    end

message() click to toggle source

    # File lib/bundler/errors.rb, line 77
    def message
      "There was an error while trying to #{action} `#{@path}`. " \
      "It is likely that you need to grant #{@permission_type} permissions " \
      "for that path."
    end